Subject: Re: [PATCH 1/2] config.mak.dev: workaround gcc 12 bug affecting "pedantic" CI job

From: Junio C Hamano <[email-masked]>
Date: Fri, 15 Apr 2022 17:19:49 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> What I meant with "just set -Wno-error=stringop-overread on gcc12 for
> dir.(o|s|sp)?" was that you can set this per-file:
>
> 	dir.sp dir.s dir.o: EXTRA_CPPFLAGS += -Wno-error=stringop-overread
>
> Ditto for the warning suppression in 2/2, we don't currently have any
> other warnings like this, but we can suppress them more narrowly.

While it is certainly attractive if we can loosen the warning
settings in a more pointed way, is it easy to arrange something like
the above ONLY for gcc12 and no other compilers?  

Do we know -Wno-error=i-have-no-idea-what-that-error-is safely gets
ignored by all compilers we care about, which may not even be a GCC?